Table of Contents

Class: chem_vertex | ../bkchem/oasa/oasa/chem_vertex.py
--- | ---
this class is a parent class of atoms, groups etc., it defines common properties for vertices used in chemical context. It should not be instantiated directly, but rather inherited from.
Base Classes |
--- | ---
graph.vertex
Methods |
--- | ---
__init__ bond_order_changed get_x get_y get_z has_aromatic_bonds matches
| __init__
    __init__ ( self,  coords=None )
| bond_order_changed
    bond_order_changed ( self )
called by a bond when its order was changed
| get_x
    get_x ( self )
| get_y
    get_y ( self )
| get_z
    get_z ( self )
| has_aromatic_bonds
    has_aromatic_bonds ( self )
| matches
    matches ( self,  other )

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1